Kirjoittaja Aihe: Miksi vaihtaa Ubuntu 16.04 uuteen 18.04ään?  (Luettu 6047 kertaa)

matsukan

  • Käyttäjä
  • Viestejä: 1853
    • Profiili
Vs: Miksi vaihtaa Ubuntu 16.04 uuteen 18.04ään?
« Vastaus #20 : 31.12.18 - klo:13.11 »

Päivitykseen ei nyt vain ole kiirettä jos ei ole tarvetta siihen. Itse en ole kotikoneita päivittänyt muuta yhden läppärin ihan huvin vuoksi. Melko uusille  emolevyille ja muille komponenteille voi tulla päivityksiä ja ominaisuuksia joita ei ole ehtinyt tulla esim 16.04 'ikkunan' ollessa auki.

Toisaalta nykyään ydin ja muut laitetuen kannalta kriittiset komponentit päivitetään myös LTS-versioihin. Tuo on nykyään jopa niin pitkällä, että LTS-versio saa uusimman julkaisun tasoisen tuen neljän kuukauden viiveellä. Tätä tosin kestää vain seuraavan LTS-version julkaisuun asti eli 16.04:ään ei tule enää uusia "laitetukipaketteja". Tällä hetkellä kuitenkin 18.04.1:n ja 16.04.5:n laitetuki on samalla tasolla.
https://wiki.ubuntu.com/Kernel/LTSEnablementStack
https://wiki.ubuntu.com/Kernel/RollingLTSEnablementStack

Totta mutta muu ohjelmisto on jo out-of-date mitä Canonical tukee oletuksena. Tuosta kun katsoo niin esim puppet on versiossa 3.8.5 ja gcc on 5.3.1.  Joo onhan ottaen toimivaa mutta kait tuota voisi päivittää uusimpaan.
 
Pohjois-pohjanmaa
Unohda mokkula : hanki WiFi reititin

-- päivitin profiilin nimeä --

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 10513
    • Profiili
    • Tomin kotisivut
Vs: Miksi vaihtaa Ubuntu 16.04 uuteen 18.04ään?
« Vastaus #21 : 31.12.18 - klo:18.16 »

Päivitykseen ei nyt vain ole kiirettä jos ei ole tarvetta siihen. Itse en ole kotikoneita päivittänyt muuta yhden läppärin ihan huvin vuoksi. Melko uusille  emolevyille ja muille komponenteille voi tulla päivityksiä ja ominaisuuksia joita ei ole ehtinyt tulla esim 16.04 'ikkunan' ollessa auki.

Toisaalta nykyään ydin ja muut laitetuen kannalta kriittiset komponentit päivitetään myös LTS-versioihin. Tuo on nykyään jopa niin pitkällä, että LTS-versio saa uusimman julkaisun tasoisen tuen neljän kuukauden viiveellä. Tätä tosin kestää vain seuraavan LTS-version julkaisuun asti eli 16.04:ään ei tule enää uusia "laitetukipaketteja". Tällä hetkellä kuitenkin 18.04.1:n ja 16.04.5:n laitetuki on samalla tasolla.
https://wiki.ubuntu.com/Kernel/LTSEnablementStack
https://wiki.ubuntu.com/Kernel/RollingLTSEnablementStack

Totta mutta muu ohjelmisto on jo out-of-date mitä Canonical tukee oletuksena. Tuosta kun katsoo niin esim puppet on versiossa 3.8.5 ja gcc on 5.3.1.  Joo onhan ottaen toimivaa mutta kait tuota voisi päivittää uusimpaan.

Tuo oli kommentti viimeiseen virkkeeseesi eli rautatuki ei ole enää nykyään yleensä syy olla käyttämättä LTS-versioita.
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

Postimies

  • Käyttäjä
  • Viestejä: 2198
    • Profiili
Vs: Miksi vaihtaa Ubuntu 16.04 uuteen 18.04ään?
« Vastaus #22 : 16.01.19 - klo:21.43 »
gcc 5.3.1 on kyllä vanha... gcc 7 ja 8 paljon jo käytössä. Jos jostain ohjelmasta tarvitsee uudemman version se usein löytyy jostain reposta.

Itseäni harmittaa oikoluvun eli voikon rajapinnan rikki meno Firefoxissa. Kokeilematta toimisiko voikko vielä Debianin selaimessa. Firefox ESR ei taida olla ratkaisu enää.
Toinen harmitus kun menin HTPC:n päivittämään. Siinä oli kyllä Ubuntu 14. Nyt kauko-ohjain ei toimi. Vain osaksi olen saanut ratkaistua. Paluu Ubuntu 16 poistaisi ongelman. Intelin Vaapi tuki takkuili xinelib kirjastolla, mikä ei kyllä ihme kun sitä ei juuri tueta. Vanhan Intelin i3 prosun voisi kyllä päivittää johonkin, jossa parempi grafiikkapiiri. Ubuntun paketit parantuneet kovasti multimedian osalta. Ylimääräisiä repoja ei juuri tarvita.